---
page_source: https://juspay.io/sea/docs/express-checkout-sdk-global/capacitor/mandates/card-info-api
page_title: Card Info API
---

## API Version: default


# Card Info



Get Card details using card bin upto 9 digits. You can also use this API to check if a card is eligible for ATM PIN, Mandate, direct OTP payments or tokenization. This S2S API requires authentication and accepts bin upto 9 digits.

> **Note**
> Networks have shifted to using 9-digit BINs for more accurate information. We are still maintaining the existing 6-digit BINs for compatibility. Merchants are requested to move to the 9 digits bin based fetching card information by December 10th, 2023

## Endpoints:
- Sandbox: https://sandbox.juspay.in/cardbins/{cardbins}

- Production: https://api.juspay.in/cardbins/{cardbins}

## Request Type: 
GET

## Headers:

#### x-merchantid:
Unique identifier for the merchant. This is the Merchant ID provided by Juspay. The value is case sensitive.

> **Note**
> Passing this value will help us route efficiently at network level.


- Value:  x-merchantid: testaccount
- Tags: String, Recommended
## Sample Code Snippets:
### Sample Request:

#### 6-digit Bin Code Snippet:

```6-digit bin
curl -X GET https://api.juspay.in/cardbins/524236

```

#### 8-digit Bin Code Snippet:

```8-digit bin
curl -X GET https://api.juspay.in/cardbins/54127512 \
-H your_api_key:
```

#### Mandate Eligibility Code Snippet:

```mandate eligibility
curl --location --request GET 'https://api.juspay.in/cardbins/541919?merchant_id=merchantId&options.check_mandate_support=true'

```

#### Tokenization Eligibility Code Snippet:

```tokenization eligibility
curl -X GET https://api.juspay.in/cardbins/54127512?merchant_id=merchantId&options.check_tokenize_support=true' \
-u your_api_key:
```

### Sample Response:

#### 200 - Success (6-digit Bin):
```plaintext
{
    "bank": "BANK ALJAZIRA",
    "brand": "MASTERCARD",
    "card_sub_type": "PLATINUM",
    "card_sub_type_category": "RETAIL",
    "country": "SAUDI ARABIA",
    "country_code": "682",
    "extended_card_type": "CREDIT",
    "id": "524236",
    "juspay_bank_code": null,
    "object": "cardbin",
    "type": "CREDIT"
}
```

#### 200 - Success (8-digit Bin):
```plaintext
{
    "bank": "CO-OPERATIVEBANKLTD.",
    "brand": "MASTERCARD",
    "card_sub_type": "",
    "card_sub_type_category": "RETAIL",
    "country": "MALAYSIA",
    "country_code": "458",
    "extended_card_type": "DEBIT",
    "id": "54127512",
    "juspay_bank_code": null,
    "object": "cardbin",
    "type": "DEBIT"
}
```

#### 404 - Not Found:
```plaintext
{
    "error_message": "Cannot find what you are looking for",
    "status": "invalid_request_error",
    "error_code": "object_not_found",
    "error_info": {
        "category": "USER_ERROR",
        "code": "RESOURCE_NOT_FOUND",
        "developer_message": "Card bin info not found.",
        "user_message": "Unknown card bin. Please try with a different card bin."
    }
}
```

#### 200 - Success (Mandate Eligibility):
```json
{
  "id": "541919",
  "card_sub_type": "PLATINUM",
  "mandate_support": true,
  "brand": "MASTERCARD",
  "bank": "JP MORGAN",
  "object": "cardbin",
  "type": "DEBIT",
  "juspay_bank_code": "JP_X",
  "country": "SINGAPORE"
}
```

#### 200 - Success (Tokenization Eligibility):
```plaintext
{
    "bank": "CO-OPERATIVEBANKLTD.",
    "brand": "MASTERCARD",
    "card_sub_type": "",
    "card_sub_type_category": "RETAIL",
    "country": "MALAYSIA",
    "country_code": "458",
    "extended_card_type": "DEBIT",
    "id": "54127512",
    "juspay_bank_code": null,
    "object": "cardbin",
    "tokenize_support": false,
    "type": "DEBIT"
}
```

## Query Parameters:

#### merchant_id:
Refers to Merchant ID provided by Juspay or Juspay's merchant id.Merchant ID which represents the merchant for storing the card
- Tags: string

#### options.check_mandate_support:
This is a boolean variable and accepts true/false. If set to `true`, then the card eligibility check for mandate transactions
- Tags: boolean

#### options.check_tokenize_support:
This is a boolean variable and accepts true/false. If set to true, then the card eligibility check for Tokenization payments will be done.
- Tags: Boolean

#### is_token_bin:
To check for a Token Bin instead of Card Bin
- Tags: Boolean
## API Responses:
### 200:

#### Card Info:
- Value:
  - **Id**:
    - Description: Bin which is passed in the API request
    - Tags: String
  - **Card_sub_type**:
    - Description: Sub type of the card
    - Tags: String
  - **Brand**:
    - Description: Card brand of the bin
    - Tags: String
  - **Bank**:
    - Description: Bank which the card belongs to
    - Tags: String
  - **Type**:
    - Description: Type of the card (Credit/Debit)
    - Tags: String
  - **Juspay_bank_code**:
    - Description: Bank code maintained at Juspay’s end which is used as payment_methods during transaction initiation
    - Tags: String
  - **Country**:
    - Description: Country which the card bin belongs to
    - Tags: String
  - **Mandate_support**:
    - Description: Informs whether bin has Subscription support
    - Tags: Boolean
  - **Tokenize_support**:
    - Description: Informs whether bin has tokenization support
    - Tags: Boolean
- Tags: JSON
### 404:

#### status:
- Description: invalid_request_error
- Tags: string

#### error_code:
- Description: object_not_found
- Tags: string

#### error_message:
- Description: Cannot find what you are looking for
- Tags: string
